!(function () {
  var e = getApp();
  !(function (e) {
    e && e.__esModule;
  })(require("../../utils/apis.js"));
  Page({
    data: {
      type: 23,
      regdate: "",
      mileage: "",
      carName: "",
      cityName: "",
      cityid: 0,
      provid: 0,
      carId: 0,
    },
    mileageChanage: function (e) {
      this.setData({ mileage: e.detail.value });
    },
    saoys: function (e) {
      wx.navigateTo({ url: "../xszsb/xszsb?type=1" });
    },
    queryVolation: function () {
      if (wx.getStorageSync("uid")) {
        var a = this;
        if ((this.tongzhi(), a.data.mileage))
          if (17 == a.data.mileage.length)
            if ("iosb" == e.getSystemPlatform())
              wx.showModal({
                title: "温馨提示",
                content: "iOS不支持小程序，请使用公众号查询",
                success: function (e) {
                  e.confirm
                    ? wx.navigateTo({
                        url:
                          "/pages/website/website?url=https://mp.weixin.qq.com/s?__biz=MzIwOTYxMTI2Nw==&mid=2247483888&idx=1&sn=1f5deda3e1a2d5e109dfaf8000520030&chksm=97707e9ca007f78a7ade8b1b57eda40183c6de47a6a115836fdb77748fc248c320a29e3309c6&token=1742855998&lang=zh_CN#rd&img=" +
                          wx.getStorageSync("gzhurl"),
                      })
                    : console.log("点击取消回调");
                },
              });
            else {
              var t = this,
                o = { content: t.data.mileage + t.data.engine + t.data.chepai };
              e.getdata(o, "checkContent").then((e) => {
                console.log("文本回调数据：", e),
                  0 == e.errcode
                    ? a.queryVin()
                    : wx.showModal({
                        title: "温馨提示",
                        content:
                          "你输入的文本检测存在违规，请检测文本内容后重新输入。",
                        success: function (e) {
                          e.confirm || console.log("点击取消回调");
                        },
                      });
              });
            }
          else
            wx.showToast({
              title: "车架号错误，请输入正确的车架号",
              icon: "none",
              duration: 2e3,
            });
        else
          wx.showToast({
            title: "车架号不能为空",
            icon: "none",
            duration: 2e3,
          });
      } else
        wx.showModal({
          title: "温馨提示",
          content: "请去个人中心授权登录用户信息",
          success: function (e) {
            e.confirm
              ? wx.reLaunch({ url: "/pages/mine/index" })
              : console.log("点击取消回调");
          },
        });
    },
    getDetail: function (a) {
      var t = this,
        o = { uid: wx.getStorageSync("uid"), type: t.data.type, page: a };
      e.getdata(o, "carqxcx").then((e) => {
        if ((console.log("回调数据：", e), e.data && 0 == e.errno))
          if (1 == a) t.setData({ repairList: e.data, page: t.data.page + 1 });
          else {
            var o = t.data.repairList;
            o.push.apply(o, e.data),
              t.setData({ repairList: o, page: t.data.page + 1 });
          }
      });
    },
    queryVin: function (a) {
      var t = this;
      wx.setStorageSync("cardatawx", {});
      var o = {
        vin: t.data.mileage,
        imageUrl: t.data.imageUrl,
        engine: t.data.engine,
        chepai: t.data.chepai,
      };
      wx.setStorageSync("cardatawx", o);
      var n = { uid: wx.getStorageSync("uid"), vin: t.data.mileage };
      e.getdata(n, "vincxmf").then((e) => {
        if ((console.log("vin回调数据：", e.data), e.data)) {
          var a = JSON.parse(e.data);
          console.log(a.result),
            wx.setStorageSync("orderInfo", a.result),
            wx.navigateTo({ url: "carInfo" });
        }
      });
    },
    tongzhi: function (a) {
      e.getdata({ type: "4" }, "getdyxx").then((a) => {
        console.log(a.data),
          wx.requestSubscribeMessage({
            tmplIds: [a.data],
            success(t) {
              "accept" == t[a.data]
                ? (wx.showToast({ title: "订阅成功" }),
                  e.util.request({
                    url: "entry/wxapp/addtemplateid",
                    data: { templateid: a.data, uid: wx.getStorageSync("uid") },
                    header: { "content-type": "application/json" },
                    success: function (e) {
                      console.log(e);
                    },
                  }))
                : wx.showToast({ title: "订阅失败" });
            },
          });
      });
    },
    toDetailExample: function () {
      wx.navigateTo({ url: "carcxjl?orderid=D169462100551547538848" });
    },
    getDangerDetail: function (e) {
      var a = e.currentTarget.dataset.orderid;
      wx.navigateTo({ url: "carcxjl?orderid=" + a, success: function () {} });
    },
    showRenMsg: function () {
      wx.showToast({
        title: "人工查询中，请稍等",
        icon: "none",
        duration: 3e3,
      });
    },
    showGaoMsg: function () {
      wx.showToast({
        title: "查不到记录，建议使用高级出险查询。",
        icon: "none",
        duration: 3e3,
      });
    },
    onLoad: function (e) {
      wx.removeStorageSync("cardata"),
        wx.removeStorageSync("carvehicle"),
        wx.removeStorageSync("carprov"),
        wx.removeStorageSync("carcity"),
        wx.removeStorageSync("cartime"),
        wx.removeStorageSync("cardatawx");
    },
    onReady: function () {},
    onShow: function () {
      var e = wx.getStorageSync("cardata");
      console.log("行驶证数据", e),
        console.log("行驶证照片", wx.getStorageSync("xszimgurl")),
        e &&
          this.setData({
            mileage: e.车辆识别代号.words,
            engine: e.发动机号码.words,
            chepai: e.号牌号码.words,
            imageUrl: wx.getStorageSync("xszimgurl"),
          });
      var a = wx.getStorageSync("carvehicle"),
        t = wx.getStorageSync("carprov"),
        o = wx.getStorageSync("carcity"),
        n = wx.getStorageSync("cartime"),
        i = "";
      "" != o && null != o && (i = t.name + "-" + o.name),
        console.log("" == a),
        "" != a &&
          "" != n &&
          parseInt(n.split("-")[0]) < parseInt(a.makeyear) &&
          (n = ""),
        this.setData({
          carName: a.salesdesc,
          cityName: i,
          regdate: n,
          cityid: o.id,
          provid: t.id,
          carId: a.autohomeid,
        }),
        this.getDetail(1);
    },
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {},
  });
})();
